removing code that could be used with plugin in SM 1.4.x. After init
[squirrelmail.git] / plugins / change_password / options.php
index 4400a01..d4c8659 100644 (file)
@@ -53,13 +53,6 @@ if (file_exists(SM_PATH . 'plugins/change_password/backend/'.$cpw_backend.'.php'
 
 /* the form was submitted, go for it */
 if(sqgetGlobalVar('cpw_go', $cpw_go, SQ_POST)) {
-
-    // SM14 code: use change_password gettext domain binding for 1.4.x
-    if (! check_sm_version(1,5,0)) {
-        bindtextdomain('change_password',SM_PATH . 'locale');
-        textdomain('change_password');
-    }
-
     /* perform basic checks */
     $Messages = cpw_check_input();
 
@@ -67,22 +60,10 @@ if(sqgetGlobalVar('cpw_go', $cpw_go, SQ_POST)) {
     if(count($Messages) == 0) {
         $Messages = cpw_do_change();
     }
-
-    // SM14 code: use change_password gettext domain binding for 1.4.x
-    if (! check_sm_version(1,5,0)) {
-        bindtextdomain('squirrelmail',SM_PATH . 'locale');
-        textdomain('squirrelmail');
-    }
 }
 
 displayPageHeader($color, 'None');
 
-// SM14 code: use change_password gettext domain binding for 1.4.x
-if (! check_sm_version(1,5,0)) {
-    bindtextdomain('change_password',SM_PATH . 'locale');
-    textdomain('change_password');
-}
-
 do_hook('change_password_init');
 ?>